# The labled version is different to the tag and we need specific feature
# branch for the NXP LX2160A functionality
# https://source.codeaurora.org/external/qoriq/qoriq-components/restool
# branch integration
# git archive --format=tar --prefix=restool-2.3.0/ 8fd3a6b | xz > restool-2.3.0.tar.xz

Name:      restool
Version:   2.3.0
Release:   1%{?dist}
Summary:   A tool to create and manage the DPAA2 Management Complex (MC)
License:   BSD or GPLv2+
URL:       https://source.codeaurora.org/external/qoriq/qoriq-components/restool
Source:    %{name}-%{version}.tar.xz

# HW specific to NXP Layerscape arm SoCs with DPAA2
ExclusiveArch: aarch64
BuildRequires: gcc
BuildRequires: make
BuildRequires: pandoc

%description
restool is a user space application providing the ability to dynamically
create and manage DPAA2 containers and objects from Linux.

restool interacts with the DPAA2 Management Complex (MC).  It uses an ioctl to
send MC commands, and thus requires a Linux kernel driver providing the needed
ioctl support.

%prep
%autosetup -p1

%build
# the maybe-uninitialized has been reported to upstream
%{make_build} EXTRA_CFLAGS="%{build_cflags} -Wno-error=maybe-uninitialized" LDFLAGS="%{build_ldflags}"

%install
%{make_install} prefix=%{_usr}

%files
%license COPYING
%{_bindir}/restool
%{_bindir}/ls-*
%{_datadir}/bash-completion/completions/restool
%{_mandir}/man1/restool*

%changelog
* Wed Jul 28 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 2.3.0-1
- Initial package
